local GetNoticeListMessage = BaseClass("GetNoticeListMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.WorldNoticeManager:ParseNoticeList(t)
  end
end
GetNoticeListMessage.OnCreate = OnCreate
GetNoticeListMessage.HandleMessage = HandleMessage
return GetNoticeListMessage
